
QGIS Application - Bug report #2204

Crashing QGIS when add new raster layer ecw

2009-12-06 08:29 PM - spasm -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12264

Description

I deliberately crashed QGIS in Vista 64 as it was taking a very long time to calculate standard deviations for setting max and min display

values on a very large ECW image.  On restarting QGIS I am unable to load another ECW image, QGIS just crashes.  I suspect that there

is some wreckage in the form of temp files on my hard drive but I can't find and manually delete these files.  Rebooting the computer does

not help refresh QGIS.

History

#1 - 2009-12-07 03:54 AM - Giovanni Manghi

There were already issues reported about windows 64bit and I believe that until a native version for this architecture will not be available it will be hard to

have qgis working properly.

In any case I'll ask you to try reproduce the problem on a 32bit machine (or post a sample data) in order to verify if it is really a 64 bit/windows issue or not.

Thanks

#2 - 2009-12-07 03:19 PM - spasm -

After a few crashes, Qgis was again able to open ECW images, so I may not be able to reproduce the bug on demand.   The ECW code may be fine, it

might be a question of Qgis cleaning up after a crash.  I have lots of Windows crashes, so the crash could also be an external event.

#3 - 2009-12-08 02:44 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

Replying to [comment:2 spasm]:

I have lots of Windows crashes, so the crash could also be an external event.

well then try to figure it, possibly testing a 32 bit/stable windows box, then if is the case, reopen the ticket.

thanks.

#4 - 2010-05-01 10:44 AM - Gerhard Spieles
- Resolution deleted (invalid)

- Status changed from Closed to Feedback

The problem exist on windows vista, not on windows xp.

On vista, open a new project an add ecw raster layer, qgis crash.

Open an existing project made on my desktop PC (winxp maschine), with my laptop (vista 32 bit), all is fine, the ecw spatial photos are shown and i can

work normaly in the project.

But whe i try to add a new ecw raster spatial photo, qgis crash.

Pictures are attached.

What happens in win7, I deon@t know.

#5 - 2010-05-02 03:04 AM - Giovanni Manghi

Hi,

I can add ecw rasters with no problems under Windows Seven 32bit and qgis trunk.

Does it happens in all Vista machines you have tested? Eventually can you test another Vista machine to try rule if it is a local problem?

#6 - 2010-05-02 09:56 AM - Gerhard Spieles

Hello,

i have tested it on another vista maschine with the same result.

I coudn@t test it with 1.5.0, because the osgeo4w installation don@t support ecw.

#7 - 2010-05-02 10:13 AM - Giovanni Manghi

I coudn@t test it with 1.5.0, because the osgeo4w installation don@t support ecw.

It does support ecw. You just need to install the gdal16-ecw library and copy the necessary dll into the system32 folder.

So... please test osgeo4w/qgis-dev to see if is a bug related only to 1.4 and/or just to the standalone installer.

#8 - 2010-05-02 03:47 PM - Gerhard Spieles

Hi,

thank you for the information. On my xp maschine, qgis trunk can now open ecw.

I have tried it on the vista machine, but qgis crash also with 1.5.0 r13412m, open an ecw raster.

Files are attached.
#9 - 2010-05-02 04:51 PM - Giovanni Manghi

Hi,

can you post/link a sample of the ecw rasters are causing qgis to crash?

#10 - 2010-05-07 02:10 PM - Gerhard Spieles

Hi,

the file has 10 MB. It is only for testing and not for public use.

Please send your Mailadress to gerhard@spieles.de.

Thank you

Gerhard

#11 - 2010-05-08 01:59 AM - Giovanni Manghi

Test made with the problematic raster under Windows Seven with qgis trunk and 1.4 (osgeo4w). No crashes.

#12 - 2010-05-09 08:24 AM - Gerhard Spieles

- Status changed from Feedback to Closed

- Resolution set to wontfix

Use win7 or winxp

#13 - 2010-08-22 01:51 PM - Gerhard Spieles

- Status changed from Closed to Feedback

- Resolution deleted (wontfix)

Hello,

add raster ecw in QGIS 1.5.0 and use win7, 32bit, QGIS crash.

On Win XP there is no problem.

The problem seems to result from the ntdll.dll in windows.

This dll translates between windows and the application.

Screenshot from the eventlog is attached

#14 - 2010-08-23 01:36 AM - luca76 -

confirming: works only in XP. On windows 7 machines it crashes.

#15 - 2010-10-23 01:07 AM - Paolo Cavallini
Could you please test it again with new gdal ecw driver?

#16 - 2010-10-24 08:24 AM - Gerhard Spieles

Can you send me the new ecw-dlls to gerhard@spieles.de?

Thanks

Gerhard

#17 - 2010-10-24 09:16 AM - Giovanni Manghi

the dlls are not redistributable: go to the erdas site, sign up, download the new sdk, accept the licence, install in your pc and then pick the dlls you'll find

where the sdk was installed.

#18 - 2010-10-27 01:01 AM - luca76 -

- Status changed from Feedback to Closed

- Resolution set to fixed

now it works with latest DLLS of ECW 4.1.

I've put them into:

OSGEO4W_ROOT\\bin

Files

ecw_vista32_qgis_openedproject_withecw_from_winxp.jpg 108 KB 2010-05-01 Gerhard Spieles

ecw_vista32_qgiscrash_addrasterlayer_ecw.jpg 118 KB 2010-05-01 Gerhard Spieles

ecw_vista_qgis1.5.0_load_ecw.jpg 95.1 KB 2010-05-02 Gerhard Spieles

ecw_vista_qgis1.5.0_crash.jpg 43.3 KB 2010-05-02 Gerhard Spieles

qgis_crash_win7_32bit_ecw.png 128 KB 2010-08-22 Gerhard Spieles

2025-04-27 4/4

mailto:gerhard@spieles.de

